Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 7314)
+++ apps/app_queue.c	(working copy)
@@ -850,10 +850,11 @@
 		v = v->next;
 	}
 
-	/* Temporarily set members dead so we can detect deleted ones. */
+	/* Temporarily set non-dynamic members dead so we can detect deleted ones. */
 	m = q->members;
 	while (m) {
-		m->dead = 1;
+		if (!m->dynamic)
+			m->dead = 1;
 		m = m->next;
 	}
 
